package com.tencent.mm.plugin.topstory.ui;

import android.support.design.widget.TabLayout.e;
import android.view.View;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ytcommon.BuildConfig;

public class c$b {
    public String cEh = BuildConfig.FLAVOR;
    public int category = 0;
    public TextView gne;
    public TextView sBA;
    public View sBB;
    public boolean sBs;
    public String sBt = BuildConfig.FLAVOR;
    public int sBu = 0;
    public int sBv = 0;
    public String sBw = BuildConfig.FLAVOR;
    public String sBx = BuildConfig.FLAVOR;
    public e sBy;
    public View sBz;

    public final void bn(int i, String str) {
        AppMethodBeat.i(1533);
        this.sBv = i;
        this.sBx = str;
        if (this.sBv <= 0) {
            this.sBA.setText(BuildConfig.FLAVOR);
            this.sBA.setVisibility(4);
            if (this.sBu > 0) {
                bo(this.sBu, this.sBw);
                AppMethodBeat.o(1533);
                return;
            }
        }
        CharSequence charSequence = this.sBv;
        if (this.sBv > 99) {
            charSequence = "99+";
        }
        this.sBA.setText(charSequence);
        this.sBA.setVisibility(0);
        this.sBB.setVisibility(8);
        AppMethodBeat.o(1533);
    }

    public final void bo(int i, String str) {
        AppMethodBeat.i(1534);
        this.sBu = i;
        this.sBw = str;
        if (i <= 0) {
            this.sBB.setVisibility(8);
        } else if (this.sBv <= 0) {
            this.sBA.setVisibility(4);
            this.sBB.setVisibility(0);
            AppMethodBeat.o(1534);
            return;
        }
        AppMethodBeat.o(1534);
    }
}
